Bhava Kundli
Explore the twelve houses of life with the Bhava Kundli API, a tool designed to generate detailed astrological house charts revealing various dimensions of existence as per Indian Astrology. This API provides SVG and base64-encoded Kundli charts, offering insights through different Bhava (house) systems.
Chart ID Reference
The chart_id parameter specifies which Bhava Kundli chart you wish to retrieve.
| Chart ID | Description |
|---|---|
| 1 | Bhava Kundli 1 |
| 2 | Bhava Kundli 2 |
| 3 | Bhava Kundli 3 |
| 4 | Bhava Kundli 4 |
| 5 | Bhava Kundli 5 |
| 6 | Bhava Kundli 6 |
| 7 | Bhava Kundli 7 |
| 8 | Bhava Kundli 8 |
| 9 | Bhava Kundli 9 |
| 10 | Bhava Kundli 10 |
| 11 | Bhava Kundli 11 |
| 12 | Bhava Kundli 12 |
Step-by-Step Bhava Kundli API Postman Testing Integration
Supported Language Codes
Support Article URL: Translating Indian Vedic APIs into Different Languages
| Code | Language |
|---|---|
| en | English |
| hi | Hindi |
| bn | Bengali |
| ma | Marathi |
| tm | Tamil |
| tl | Telugu |
| ml | Malayalam |
| kn | Kannada |
Guide:
These languages are supported by this API. You can use them by passing the parameter “lan” in the request body with the desired language code. The default language is English (en).
API Endpoint
POST https://astroapi-3.divineapi.com/indian-api/v1/bhava-kundli/:chart_id
This endpoint returns the Bhava Kundli Chart as an SVG and Base64-encoded image.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization | String | Your API Access Token. Example: Bearer {token} |
Request Body
| Name | Type | Description |
|---|---|---|
| api_key | String | Your API key |
| full_name | String | Full name, e.g., Rahul Kumar |
| day | Integer | Date of birth, e.g., 24 |
| month | Integer | Month of birth, e.g., 05 |
| year | Integer | Year of birth, e.g., 2023 |
| hour | Integer | Hour of birth, e.g., 14 |
| min | Integer | Minute of birth, e.g., 40 |
| sec | Integer | Second of birth, e.g., 30 |
| gender | String | Gender, e.g., male |
| place | String | Place of birth, e.g., New Delhi |
| lat | Float | Latitude, e.g., 28.7041 |
| lon | Float | Longitude, e.g., 77.1025 |
| tzone | Float | Timezone, e.g., 5.5 (Timezone Reference Guide) |
| lan | String | Language code as per the supported language list. Default is ‘en’. |
| planet_color | String | Planet text color, e.g., "#333333" or "black" |
| sign_color | String | Zodiac sign color, e.g., "#333333" or "black" |
| line_color | String | Line color in the chart, e.g., "#333333" or "black" |
| chart_color | String | Background color of the chart, e.g., "#FFFFFF" or "black" |
| chart_type | String | Chart type, e.g., north or south |
| node_type | String | truenode or meannode, default is meannode |
Example Successful Response (200: OK)
{
"success": 1,
"data": {
"svg": "SVG CODE",
"data": "raw_data",
"base64_image": "base64_svg_image",
}
}Example Integrations
Below are examples of how you might call this API using different programming languages and environments.
cURL
curl --location 'https://astroapi-3.divineapi.com/indian-api/v1/bhava-kundli/:chart_id' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'full_name="Rahul kumar"' \
--form 'day="24"' \
--form 'month="05"' \
--form 'year="2023"' \
--form 'hour="14"' \
--form 'min="40"' \
--form 'sec="43"' \
--form 'gender="male"' \
--form 'place="New Delhi"' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"' \
--form 'lan="en"'
NodeJS
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://astroapi-3.divineapi.com/indian-api/v1/bhava-kundli/:chart_id',
'headers': {
'Authorization': 'Bearer {Your Auth Token}'
},
formData: {
'api_key': '{Your API Key}',
'full_name': 'Rahul kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'lan': 'en'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
JavaScript jQuery AJAX
var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("full_name", "Rahul kumar");
form.append("day", "24");
form.append("month", "05");
form.append("year", "2023");
form.append("hour", "14");
form.append("min", "40");
form.append("sec", "43");
form.append("gender", "male");
form.append("place", "New Delhi");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");
form.append("lan", "en");
var settings = {
"url": "https://astroapi-3.divineapi.com/indian-api/v1/bhava-kundli/:chart_id",
"method": "POST",
"timeout": 0,
"headers": {
"Authorization": "Bearer {Your Auth Token}"
},
"processData": false,
"mimeType": "multipart/form-data",
"contentType": false,
"data": form
};
$.ajax(settings).done(function (response) {
console.log(response);
});
Python
import requests
url = "https://astroapi-3.divineapi.com/indian-api/v1/bhava-kundli/:chart_id"
payload = {'api_key': '{Your API Key}',
'full_name': 'Rahul kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'lan': 'en'}
headers = {
'Authorization': 'Bearer {Your Auth Token}'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
Summary
The Bhava Kundli API is a powerful astrology tool that generates detailed house charts for various Kundli types (1–12). Each chart visualizes planetary placements, house divisions, and astrological influences through customizable visuals, colors, and chart types (North or South Indian style).